# 多腿期權下單

`POST` `/v1/trade/order/multileg`

該接口用於提交多腿期權組合訂單（如垂直價差、跨式、寬跨式、領口等）。各腿作為一個策略訂單一起提交。

## Parameters

### Request Body

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `side` | string | Yes | 買賣方向。**可選值：**, `Buy`, `Sell` |
| `order_type` | string | Yes | 訂單類型。可選值：`LO`、`ELO`、`MO`、`AO`、`ALO`、`ODD`、`LIT`、`MIT`、`TSLPAMT`、`TSLPPCT`、`SLO`。 |
| `submitted_price` | string | No | 下單價格，例如：`1.5`. `LO` 等限價類型訂單必填 |
| `submitted_quantity` | string | Yes | 下單數量（組合數量），例如：`1` |
| `strategy` | string | Yes | 多腿策略。**可選值：**, `CoveredCall` - 股票擔保，`CoveredPut` - 股票擔保，`VerticalCallSpread` - 跨價期權，`VerticalPutSpread` - 跨價期權，`Collar` - 領式策略，`Straddle` - 馬鞍式策略，`Strangle` - 勒束式策略 |
| `legs` | array | Yes | 組合訂單的各腿 |
| `∟ symbol` | string | Yes | 期權 symbol，使用 `ticker.region` 格式，例如：`QQQ260731C764000.US` |
| `∟ ratio_quantity` | string | Yes | 該腿比例數量，例如：`1` |
| `remark` | string | No | 備註（最多 255 字符） |
| `client_request_id` | string | No | 客戶端請求 ID，用於冪等（最多 64 字符） |

## Request Example

```bash
curl --request POST \
  --url 'https://openapi.longbridge.com/v1/trade/order/multileg' \
  --header 'Authorization: Bearer <access_token>' \
  --header 'Content-Type: application/json' \
  --data '{"side":"<side>","order_type":"<order_type>","submitted_price":"<submitted_price>","submitted_quantity":"<submitted_quantity>","strategy":"<strategy>","legs":[],"∟ symbol":"<∟ symbol>","∟ ratio_quantity":"<∟ ratio_quantity>","remark":"<remark>","client_request_id":"<client_request_id>"}'
```

## Response

### Response JSON Example

```json
{
  "code": 0,
  "message": "success",
  "data": {
    "order_id": "683615454870679600"
  }
}
```
